Summary:	Simple DirectMedia Layer - Sample Image Loading Library
Summary(pl.UTF-8):	Przykładowa biblioteka do ładowania obrazków dla SDL
Summary(pt_BR.UTF-8):	Simple DirectMedia Layer - Biblioteca exemplo para carga de Imagens
Name:		SDL_image
Version:	1.2.12
Release:	4
License:	Zlib-like
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_image/release/%{name}-%{version}.tar.gz
# Source0-md5:	a0f9098ebe5400f0bdc9b62e60797ecb
Patch0:		%{name}-libpng.patch
URL:		http://www.libsdl.org/projects/SDL_image/release-1.2.html
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel >= 8
BuildRequires:	libpng-devel >= 2:1.5.0
BuildRequires:	libtiff-devel >= 4
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libwebp-devel >= 0.1.3
BuildRequires:	pkgconfig >= 1:0.9.0
Requires:	SDL >= 1.2.10
Suggests:	libjpeg >= 8
%if "%(pkg-config --exists libpng16 2>/dev/null ; echo $?)" == "0"
Suggests:	libpng >= 2:1.6.0
%else
Suggests:	libpng >= 2:1.5.0
%endif
Suggests:	libtiff >= 4
Suggests:	libwebp >= 0.1.3
Obsoletes:	libSDL_image1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# NOTE: libraries dlopened by sonames detected at build time:
# libjpeg.so.8
# libpng16.so.16/libpng15.so.15 [note the libpng patch for preferred libs order]
# libtiff.so.5
# libwebp.so.5

%description
This is a simple library to load images of various formats as SDL
surfaces. This library currently supports BMP, GIF, JPEG, LBM, PCX,
PNG, PNM (PBM/PGM/PPM), TGA, TIFF, WebP, XCF and XPM formats.

%description -l pl.UTF-8
Jest to prosta biblioteka służąca do ładowania różnego formatu
obrazków jako powierzchni SDL. W chwili obecnej biblioteka obsługuje
następujące formaty: BMP, GIF, JPEG, LBM, PCX, PNG, PNM (PBM/PGM/PPM),
TGA, TIFF, WebP, XCF oraz XPM.

%description -l pt_BR.UTF-8
Simple DirectMedia Layer - Biblioteca exemplo para carga de Imagens.

%package devel
Summary:	Header files and more to develop SDL_image applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_image
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações SDL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.10
Obsoletes:	libSDL_image1.2-devel

%description devel
Header files and more to develop SDL_image applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających SDL_image.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações
SDL.

%package static
Summary:	Static SDL_image libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_image
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento de aplicações SDL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Statis SDL_image libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_image.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de aplicações SDL.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-bmp \
	--enable-gif \
	--enable-jpg \
	--enable-jpg-shared \
	--enable-lbm \
	--enable-pcx \
	--enable-png \
	--enable-png-shared \
	--enable-pnm \
	--enable-tga \
	--enable-tif \
	--enable-tif-shared \
	--enable-webp \
	--enable-webp-shared \
	--enable-xcf \
	--enable-xpm \
	--enable-xv

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install .libs/showimage $RPM_BUILD_ROOT%{_bindir}/sdlshow

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%attr(755,root,root) %{_bindir}/sdlshow
%attr(755,root,root) %{_libdir}/libSDL_image-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL_image-1.2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL_image.so
%{_libdir}/libSDL_image.la
%{_includedir}/SDL/SDL_image.h
%{_pkgconfigdir}/SDL_image.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_image.a
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SDL_image.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> d69e66f
- x32 rebuild
- release 4 (by relup.sh)

* Thu Jun 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 8ebe5c0
- updated URL, adjusted libpng Suggests to current libpng patch content

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 0fda602
- rebuild with libpng 1.6
- rel 3

* Mon Feb 13 2012 Adam Gołębiowski <adamg@pld-linux.org> f329c8e
- release 2 (rebuild against libpng-1.5)

* Wed Jan 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 4ed80ba
- better handling of libpng15/libpng14 in Suggests

* Wed Jan 25 2012 Jakub Bogusz <qboosh@pld-linux.org> d90f05d
- updated supported format lists in descriptions
- added versioned Suggests for dlopened libraries

* Wed Jan 25 2012 lisu <lisu@pld-linux.org> 940dc9d
- updated to 1.2.12
- minimal version of libwebp-devel is 0.1.3
- sorted BRs

* Tue Jan 17 2012 Jakub Bogusz <qboosh@pld-linux.org> eb4cf9d
- updated to 1.2.11
- adjusted libpng patch to prefer libpng 1.5.x
- enforced newer libraries at build time to store proper sonames
  (libjpeg 8, libpng 1.4+, libtiff 4)
- BR: libwebp-devel

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> fc0d55c
- dropped pre-cvs changelog

* Tue Sep 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 7f86801
- added libpng patch to prefer libpng 1.4.x over 1.2.x/1.0.x
- cleanup, updated BRs

* Sat Feb 06 2010 Jan Rękorajski <baggins@pld-linux.org> 65f1e36
- rel 2

* Sun Nov 22 2009 sparky <sparky@pld-linux.org> 768ceec
- BR: pkgconfig
- package .pc file
- explicitily enable all loaders; cannot force dlopened library version

* Tue Nov 17 2009 sparky <sparky@pld-linux.org> 34d7be4
- up to 1.2.10

* Tue Nov 17 2009 sparky <sparky@pld-linux.org> 7b7b997
- rebuild with libjpeg 7; rel 2

* Fri Nov 13 2009 lisu <lisu@pld-linux.org> 215fff9
- 1.2.9

* Wed Oct 21 2009 lisu <lisu@pld-linux.org> b7f94fe
- up to 1.2.8
- pl fix

* Mon Dec 08 2008 lisu <lisu@pld-linux.org> 4b10718
- no longer needed

* Mon Dec 08 2008 lisu <lisu@pld-linux.org> 14ab01b
- up to 1.2.7
- ghost soname symlink
- rm buffer-overflow.patch and IMG_lbm.patch
  (CVE-2007-6697, CVE-2008-0544 already fixed in sources)

* Fri Mar 28 2008 Szymon Siwek <sls@pld-linux.org> b920919
- added buffer-overflow.patch and IMG_lbm.patch
  (CVE-2007-6697, CVE-2008-0544)

* Fri Mar 28 2008 Szymon Siwek <sls@pld-linux.org> 6e0f988
- CVE-2008-0544 (stolen from Fedora; #430693)

